Jump to content

[1.7.10] If I change minecraft parameter names will my mod still work?


kauan99

Recommended Posts

I imported the whole net namespace into my eclipse workspace. I'm changing the names of parameters and locals, to make the methods clearer on first glance. I'm not going to recompile that namespace (my plan is to remove net from my source code before building)

 

Will my mods still work properly if I do this?

 

Edit: If it works, I plan to follow the naming standard for all the already deobfuscated parameter names, and then share the clearer source code with the community.

WIP mods: easyautomation, easyenergy, easyelectronics, easymoney, easytrasportation, easysecurity, easymultiverse, easyfactions, easymagick, easyalchemy, easyseasons

Link to comment
Share on other sites

So you plan on renaming and distributing mojang's code when they are expressly asking people not to....

Just use MCPBot to re-name parameters.

Also, you should update to 1.8.

I do Forge for free, however the servers to run it arn't free, so anything is appreciated.
Consider supporting the team on Patreon

Link to comment
Share on other sites

thanks. I didn't know Mojang had a problem with that. I will look this MCPBot up. About 1.8, I have concerns regarding small servers performance. don't seem 1.8 does very well

WIP mods: easyautomation, easyenergy, easyelectronics, easymoney, easytrasportation, easysecurity, easymultiverse, easyfactions, easymagick, easyalchemy, easyseasons

Link to comment
Share on other sites

MCPBot is for 1.8.x only. Just one more question: if i rename the parameters and locals but don't redistribute the modified source is that against Mojang's policy too? And will my mod work on any computer with normal forge installed?

WIP mods: easyautomation, easyenergy, easyelectronics, easymoney, easytrasportation, easysecurity, easymultiverse, easyfactions, easymagick, easyalchemy, easyseasons

Link to comment
Share on other sites

For the moment I can`t upgrade to 1.8 because I develop my mods mostly for personal use either on hamachi servers or cheap paid hosts and 1.8 is kind of heavier (not sure if it`s heavy on the host or on the bandwidth).

 

Just my friends and I use my mods. I kind of use my friends as a beta test group. Once I`m satisfied I plan to release them for the general public.

WIP mods: easyautomation, easyenergy, easyelectronics, easymoney, easytrasportation, easysecurity, easymultiverse, easyfactions, easymagick, easyalchemy, easyseasons

Link to comment
Share on other sites

Guys, I got 2 replies to my question, but none of them answer what I asked. Anyone?

WIP mods: easyautomation, easyenergy, easyelectronics, easymoney, easytrasportation, easysecurity, easymultiverse, easyfactions, easymagick, easyalchemy, easyseasons

Link to comment
Share on other sites

1) Quit double posting

2) Do as I stated and update to 1.8+ Your complaints about it being 'heavier' are compleetly unfounded and we're not gunna support you

3) Learn basic programming

4) DO NOT BREAK MOJANGS COPYRIGHTS as stated above.

So ya, answered, closed and locked.

I do Forge for free, however the servers to run it arn't free, so anything is appreciated.
Consider supporting the team on Patreon

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.


×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.